defaults:
  - base_spatial_model

name: HATR
model_type: q4l.model.zoo.spatial.fundamental.base.KGModel

components:
  spatial:
    name: HATR
    module_path: q4l.model.zoo.spatial.fundamental.hatr
    kwargs:
      node_emb_dim: 256
      K: 2
  temporal:
    name: MSTR
    module_path: q4l.model.zoo.temporal
    kwargs:
      # input_size: ${experiment.model.input_size}
      hidden_size: 256
      kernel_size: 3
      dilation_rates: [1, 2, 4, 8]